MakeCreditDefaultSwap Class Reference

helper class More...

`#include <ql/instruments/makecds.hpp>`

## Public Member Functions

| MakeCreditDefaultSwap (const Period &tenor, const Real couponRate)
| MakeCreditDefaultSwap (const Date &termDate, const Real couponRate)
| operator CreditDefaultSwap () const
| operator boost::shared_ptr< CreditDefaultSwap > () const
MakeCreditDefaultSwap & | withUpfrontRate (Real)
MakeCreditDefaultSwap & | withSide (Protection::Side)
MakeCreditDefaultSwap & | withNominal (Real)
MakeCreditDefaultSwap & | withCouponTenor (Period)
MakeCreditDefaultSwap & | withDayCounter (DayCounter &)
MakeCreditDefaultSwap & | withLastPeriodDayCounter (DayCounter &)
MakeCreditDefaultSwap & | withPricingEngine (const boost::shared_ptr< PricingEngine > &)

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard cds.